package de.gc.db.jdbi.oop.ort;

import java.beans.ConstructorProperties;

import org.jdbi.v3.core.mapper.reflect.ColumnName;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class Ort {

   @ColumnName("o_id")
   private Long id;

   @ColumnName("o_name")
   private String name = "";

   @ColumnName("o_plz")
   private String plz = "";

   @ConstructorProperties({ "o_id", "o_name", "o_plz" })
   public Ort(final Long id, final String name, final String plz) {
      this.id = id;
      this.name = name;
      this.plz = plz;
   }

   public Ort(final String name, final String plz) {
      this.name = name;
      this.plz = plz;
   }
}
